<?php
/*
 * IdP highlighting plugin
 *
 *  Jorge López Pérez <jorgelp@us.es>
 *  6/mar/2008
 */

/*
 * Highlight function
 */

function shib13idp_highlight($line) {
 	$patterns = array(
		// Timestamp
		'/^(\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2})/',
		// IDs
		'/(_[\w0-9]{32})/',
		// Principal name
		'/(of principal|user|principal[:]?) \(([\w0-9\.-]+)\)/',
		// Provider name
		'/(provider) \(([\w0-9\.:-]+)\)/',
		// URNs
		  '/(urn:[\w0-9\.:-]+)/',
		// Trick for principal name
		'/(Found) (\w+) (attribute\(s\)) for ([\w0-9\.-]+)/',
		// XML block
		'/(&lt;.+&gt;)$/',
		// URLs
		'/(http[s]?:\/\/[\w0-9\.\/-]+(:\d+)?[\w0-9\.\/-]+)/'
	  );
	$changes = array(
		'<span class="logtimestamp">\1</span>',
		'<span class="logid">\1</span>',
		'\1 (<span class="logprincipal">\2</span>)',
		'\1 (<span class="logprovider">\2</span>)',
		'<span class="logurn">\1</span>',
		'\1 <span class="lognum">\2</span> \3 (<span '
		  .'class="logprincipal">\4</span>)',
		'<span class="logxml">\1</span>',
		'<span class="logurl">\1</span>'
	);
	
	$line = htmlentities($line);
	$line = preg_replace($patterns, $changes, $line);

	return $line;
}


?>
