<?php
/*
 * Shibboleth Log viewer.
 *
 *  Jorge López Pérez <jorgelp@us.es>
 */

 include_once('config.inc.php');
 include_once('include/operations.inc.php');
 include_once('include/Backend.php');

 // REST url
 $q = isset($_GET['q']) ? $_GET['q'] : "";

 $pieces = parseUrl($q);

 if ($pieces[0] == '') {
	 include_once('include/FrontendWeb.php');
	 $manager = new FrontendWeb($pieces);
 } elseif ($pieces[0] == 'log') {
	 include_once('include/FrontendXML.php');
	 $manager = new FrontendXML($pieces);
 } elseif ($pieces[0] == 'ajah') {
	 include_once('include/FrontendAjah.php');
	 $manager = new FrontendAJAH($pieces);
 } else {
	 header("HTTP/1.1 404 Not Found");
	 echo "<h1>Not found</h1>";
	 return;
 }

 $manager->process();

?>

